<script setup lang="ts">
import 频谱图数据 from './_频谱图_fftSize65536_32768条.noformat.json';

const compRef = useTemplateRef('compRef');

onMounted(async () => {
  console.debug('[onMounted] page 加载完成');
  await compRef.value!.添加数据(
    频谱图数据, // 实际数据点为32768
    65_536, // FFT大小为65536
    96_000, // 采样率为96000
  );
  // await compRef.value!.添加数据(
  //   频谱图数据, // 实际数据点为32768
  //   65_536, // FFT大小为65536
  //   96_000, // 采样率为96000
  // );
});
</script>

<template>
  <IframePlotlyJsComp ref="compRef" style="width: 1400px; height: 600px; max-width: 100%" />
</template>

<style scoped></style>
